org.h2.dev.util

## Class BitStream.Huffman

- java.lang.Object
- - org.h2.dev.util.BitStream.Huffman

Enclosing class:
  BitStream

    public static class BitStream.Huffman
    extends java.lang.Object

A Huffman code.

### Constructor Summary

Constructors
Constructor and Description
`BitStream.Huffman(int[] frequencies)`

### Method Summary

Methods
`int` `getBitCount(int value)` Get the number of bits of the Huffman code for this value.
`int` `read(BitStream.In in)` Read a value.
`void` `write(BitStream.Out out, int value)` Write a value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BitStream.Huffman

    public BitStream.Huffman(int[] frequencies)

### Method Detail

#### write

    public void write(BitStream.Out out,
             int value)

Write a value.

Parameters:
  `out` - the output stream
  `value` - the value to write

#### read

    public int read(BitStream.In in)

Read a value.

Parameters:
  `in` - the input stream
Returns:
  the value

#### getBitCount

    public int getBitCount(int value)

Get the number of bits of the Huffman code for this value.

Parameters:
  `value` - the value
Returns:
  the number of bits